
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>apache服务器MPM模块配置详解 / iVAN</title>

    <meta name="description" content="apache服务器MPM模块配置详解 以下内容仅供参考,对MPM的操作还没有摸透,此记录只为了方便以后使用. 1.window下确定apache是使用哪种工作模式 在apache目录bin下cmd运行:httpd -l  ,查看成功加载了哪些模块用 httpd -M linux下用 apachectl -l prefork模块:基于进程的;worker模块:基于线程的; 2.启用MPM模块配置文件 我们需要在httpd.conf文件中启用该配置文件,如下所示: #Include conf/extra/httpd-mpm.conf (">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">apache服务器MPM模块配置详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>以下内容仅供参考，对MPM的操作还没有摸透，此记录只为了方便以后使用。<br />
1.window下确定apache是使用哪种工作模式<br />
在apache目录bin下cmd运行：httpd -l  ，查看成功加载了哪些模块用 httpd -M<br />
linux下用 apachectl -l</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDQwOTExNTA0MzY1OS5wbmc=.jpg"></p>
<p>prefork模块：基于进程的;worker模块：基于线程的;</p>
<p>2.启用MPM模块配置文件</p>
<p>我们需要在httpd.conf文件中启用该配置文件，如下所示：<br />
#Include conf/extra/httpd-mpm.conf (去掉该行前面的注释符号"#")<br />
在Apace安装目录/conf/extra目录中有一个名为httpd-mpm.conf的配置文件。该文件主要用于进行MPM模块的相关配置。不过，在默认情况下，Apache的MPM模块配置文件并没有启用。</p>
<p>3.根据当前Apache服务器所使用的MPM模块，来修改对应节点下的参数配置。首先，我们来看看mpm_winnt模块下的默认配置：</p>
<p>我们来看看mpm_winnt模块下的默认配置：<br />
#由于mpm_winnt模块只会创建1个子进程，因此这里对单个子进程的参数设置就相当于对整个Apache的参数设置。</p>
<p>#ThreadLimit 350<br />
ThreadsPerChild      150 #推荐设置：小型网站=1000 中型网站=1000~2000 大型网站=2000~3500 设置 网站平均在线人数<br />
MaxRequestsPerChild    0 #推荐设置：小=10000 中或大=20000~100000 设置最高在线人数的值</p>
<p>对应的配置参数作用如下：<br />
ThreadsPerChild<br />
每个子进程的最大并发线程数。<br />
MaxRequestsPerChild</p>
<p>每个子进程允许处理的请求总数。如果累计处理的请求数超过该值，该子进程将会结束(然后根据需要确定是否创建新的子进程)，该值设为0表示不限制请求总数(子进程永不结束)。<br />
对于mpm_winnt，ThreadLimit的默认值是1920；对于其他mpM这个值是64。其中ThreadLimit是占用系统线程数限制，修改后会在apache-status中直接看到效果，就是对应的最大的可用线程数(如下所示)：1 requests currently being processed, 349 idle workers<br />
注意：Apache在编译时内部有一个硬性的限制"ThreadLimit 20000"(对于mpm_winnt是"ThreadLimit 15000")，你不能超越这个限制。ThreadsPerChlid是Apache进程的子线程数，这个指令设置了每个子进程建立的线程数。子进程在启动时建立这些线程后就不再建立新的线程了。如果使用一个类似于mpm_winnt只有一个子进程的mpM，这个数值要足够大，以便可以处理可能的请求高峰。<br />
该参数建议设为非零的值，可以带来以下两个好处：<br />
可以防止程序中可能存在的内存泄漏无限进行下去，从而耗尽内存。<br />
给进程一个有限寿命，从而有助于当服务器负载减轻的时候减少活动进程的数量。<br />
注意：在以上涉及到统计请求数量的参数中，对于KeepAlive的连接，只有第一个请求会被计数。ServerLimi和ThreadLimit这两个指令决定了活动子进程数量和每个子进程中线程数量的硬限制。要想改变这个硬限制必须完全停止服务器然后再启动服务器(直接重启是不行的)。</p>
<p>再来看看mpm_perfork模块和mpm_worker模块下的默认配置:<br />
#mpm_perfork模块</p>
<p>StartServers          5 #推荐设置：小=默认 中=20~50 大=50~100<br />
MinSpareServers       5 #推荐设置：与StartServers保持一致<br />
MaxSpareServers      10 #推荐设置：小=20 中=30~80 大=80~120 <br />
MaxClients          150 #推荐设置：小=500 中=500~1500 大型=1500~3000<br />
MaxRequestsPerChild   0 #推荐设置：小=10000 中或大=10000~500000(此外，还需额外设置ServerLimit参数，该参数最好与MaxClients的值保持一致。 )</p>
<p>#默认情况下prefork配置部分没有ServerLimit配置，其在/usr/loca/apache2/bin/httpd（16进制）中编译，一般会报错如下<br />
MaxClients of 1000 exceeds ServerLimit value of 256 servers,<br />
lowering MaxClients to 256.  To increase, please see the ServerLimit directive. ##ServerLimit必须放在MaxClients上面 且值&gt;=MaxCliens<br />
#mpm_worker模块</p>
<p>StartServers          2 #推荐设置：小=默认 中=3~5 大=5~10<br />
MaxClients          150 #推荐设置：小=500 中=500~1500 大型=1500~3000<br />
MinSpareThreads      25 #推荐设置：小=默认 中=50~100 大=100~200<br />
MaxSpareThreads      75 #推荐设置：小=默认 中=80~160 大=200~400 <br />
ThreadsPerChild      25 #推荐设置：小=默认 中=50~100 大型=100~200<br />
MaxRequestsPerChild   0 #推荐设置：小=10000 中或大=10000~50000(此外，如果MaxClients/ThreadsPerChild大于16，还需额外设置ServerLimit参数，ServerLimit必须大于等于 MaxClients/ThreadsPerChild 的值。)</p>
<p>对应的配置参数作用如下：<br />
StartServers<br />
启动Apache时创建的子进程数。<br />
MinSpareServers<br />
处于空闲状态的最小子进程数。<br />
所谓空闲子进程是指没有正在处理请求的子进程。如果当前空闲子进程数少于MinSpareServers，那么Apache将以最大每秒一个的速度产生新的子进程。只有在非常繁忙机器上才需要调整这个参数。此值不宜过大。<br />
MaxSpareServers<br />
处于空闲状态的最大子进程数。<br />
只有在非常繁忙机器上才需要调整这个参数。此值不宜过大。如果你将该指令的值设置为比MinSpareServers小，Apache将会自动将其修改成MinSpareServers+1。<br />
MaxClients<br />
允许同时连接的最大请求数量。<br />
任何超过MaxClients限制的请求都将进入等待队列，直到达到ListenBacklog指令限制的最大值为止。<br />
对于非线程型的MPM(也就是mpm_prefork)，MaxClients表示可以用于处理客户端请求的最大子进程数量，默认值是256。要增大这个值，你必须同时增大ServerLimit。<br />
对于线程型或者混合型的MPM(也就是mpm_beos或mpm_worker)，MaxClients表示可以用于处理客户端请求的最大线程数量。线程型的mpm_beos的默认值是50。对于混合型的MPM默认值是16(ServerLimit)乘以25(ThreadsPerChild)的结果。因此要将MaxClients增加到超过16个进程才能提供的时候，你必须同时增加ServerLimit的值。<br />
MinSpareThreads<br />
处于空闲状态的最小线程数。<br />
不同的MPM对这个指令的处理是不一样的：<br />
mpm_worker的默认值是75。这个MPM将基于整个服务器监视空闲线程数。如果服务器中总的空闲线程数太少，子进程将产生新的空闲线程。mpm_netware的默认值是10。既然这个MPM只运行单独一个子进程，此MPM当然亦基于整个服务器监视空闲线程数。mpm_beos和mpmt_os2的工作方式与mpm_netware差不多，mpm_beos的默认值是1；mpmt_os2的默认值是5。<br />
MaxSpareThreads<br />
处于空闲状态的最大线程数。<br />
不同的MPM对这个指令的处理是不一样的：<br />
mpm_worker的默认值是250。这个MPM将基于整个服务器监视空闲线程数。如果服务器中总的空闲线程数太多，子进程将杀死多余的空闲线程。mpm_netware的默认值是100。既然这个MPM只运行单独一个子进程，此MPM当然亦基于整个服务器监视空闲线程数。mpm_beos和mpmt_os2的工作方式与mpm_netware差不多，mpm_beos的默认值是50；mpmt_os2的默认值是10。<br />
END<br />
注意事项<br />
ServerLimit表示Apache允许创建的最大进程数。 值得注意的是，Apache在编译时内部有一个硬限制ServerLimit 20000(对于mpm_prefork模块为ServerLimit 200000)。你不能超越这个限制。 使用这个指令时要特别当心。如果将ServerLimit设置成一个高出实际需要许多的值，将会有过多的共享内存被分配。如果将ServerLimit和MaxClients设置成超过系统的处理能力，Apache可能无法启动，或者系统将变得不稳定。 注意：在配置相关参数时，请先保证服务器具备足够的硬件性能(例如：CPU、内存等)。 如果发现自启动后，随着服务器的运行时间增加，服务器的内存占用也随之增加，可能是程序中出现内存泄露，请向下调整参数MaxRequestsPerChild的值以降低内存泄露带来的影响，然后尽快找出程序中的问题之所在。</p>
<p>屏掉报错服务器提示信息：</p>
<p>ServerTokens Full<br />
ServerSignature On</p>
<p>改成<br />
ServerTokens Prod<br />
ServerSignature off</p>
<p>待确认</p>
<p>error.log 出项了大量的：Sat Dec 24 17:21:28 2006] [warn] (OS 64)指定的网络名不再可用。 : winnt_accept: Asynchronous AcceptEx failed.。  如下的一种解决办法，我试了试，果然可以，而且在多台服务器上试过，只要出现了AcceptEx 的问题，就能解决，具体设置为： 1、网上邻居-;本地连接-;属性-;internet协议(TCP/IP)-;属性-;高级-;wins标签-;去掉启用LMhosts查询前的勾. 2、控制面版-;windows防火墙-;高级标签-;本地连接设置-;服务的标签里勾选安全Web服务器(HTTPS)。 3、然后退出Apache，再打开启动就可以了 ，一开始我没有退出，直接在那重启，就是不可以，一定要先停止，在开启即可。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:17:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>apache服务器MPM模块配置详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYOX8b.html" rel="bookmark">apache开启gzip压缩配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				启apache2的gzip 在http.conf里会找到如下行; 如果没有请加上 #LoadModule deflate_module modules/mod_deflate.so  去掉&quot;#&quot;号.表示已经启用了GZIP. 更多定制 开启了压缩功能.可以很好的使用了,如果你还想更详尽的定制的话,请看下面: 可以在http.conf后面加上这一段进行定制:(如非必要,用默认的就好了) &lt;ifmodule mod_deflate.c&gt; DeflateCompressionLev			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6A1Eob.html" rel="bookmark">unbound DNS服务器的搭建配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				rhce7版本带有老的bind DNS软件包,也带有新的unbound软件包,不过默认是unbound DNS ,在新版本的RHCE里考核的也是unbound DNS.Unbound 是一款验证(validating).递归(recursive)及缓存(caching) DNS 解析器(resolver).以 BSD 许可证发布,轻量级+模块(iterator.validator.cache,配置:module-config)化设计,充分考虑安全,拥有出色的性能. 一.DNS中的七大资源记录 在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6YgRLb.html" rel="bookmark">DELL R900 服务器 RAID阵列 配置详解&lowbar;服务器其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				磁盘阵列可以在安装系统之前或之后产生,系统会视之为一个(大型)硬盘,而它具有容错及冗余的功能.磁盘阵列不单只可以加入一个现成的系统,它更可以支持容量扩展,方法也很简单,只需要加入一个新的硬盘并执行一些简单的指令,系统便可以实时利用这新加的容量. ·RAID 的种类及应用 IDE和SCSI是计算机的两种不同的接口,前者普遍用于PC机,后者一般用于服务器.基于这两种接口,RAID分为两种类型:基于IDE接口的RAID应用,称为IDE RAID:而基于SCSI接口的RAID应用则相应称为SCSI RA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXddmp.html" rel="bookmark">MySQL数据库服务器集群配置详解介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.介绍 这篇文档旨在介绍如何安装配置基于2台服务器的MySQL数据库集群.并且实现任意一台服务器出现问题或宕机时MySQL依然能够继续运行. 注意! 虽然这是基于2台服务器的MySQL集群,但也必须有额外的第三台服务器作为管理节点,但这台服务器可以在集群启动完成后关闭.同时需要注意的是 并不推荐在集群启动完成后关闭作为管理节点的服务器.尽管理论上可以建立基于只有2台服务器的MySQL集群,但是这样的架构,一旦一台服务器宕机之后集 群就无法继续正常工作了,这样也就失去了集群的意义了.出于这个原因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRLwDz.html" rel="bookmark">http服务器目录安全性配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HTTP(Hypertext Transfer Protocol,超文本传输协议)是WWW浏览器和WWW.服务器之间的应用层通讯协议.HTTP协议是用于分布式协作超文本信息系统的.通用的.面向对象的协议.通过扩展命令,可用于类似的任务,如域名服务或分布式面向对象系统. HTTP会话过程包括四个步骤: 连接(Connection) ,请求(Request) ,应答(Response) ,关闭(Close) www目录安全性有一下几种方法: 1.身份验证 a.  &lt;directory   站点目录&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baaXEqb.html" rel="bookmark">CENTOS中SVN服务器SUBVERSION的配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				配置起来就稍稍复杂了一些,但也不是很难,主要就是几个配置文件. 我们看一下subversion的配置文件. 1.svnserve.conf 这是每个版本库的配置文件. 位置在每个库的conf目录中,目录结构如下. repository-path/conf/svnserve.conf 通过man svnserve.conf我制作了下面的conf文件供大家参考. [general] #设定未授权用户的权限,none无权限,read只读,write读写.默认为只读权限.可以根据自己的情况设定. #an			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5W1WAb.html" rel="bookmark">php 伪静态与php mysql apache配置详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php教程 伪静态与php mysql教程 apache配置详解 配置过程: (一)http.conf   把php直接作为apache的一个模块运行,我在里面加了两句: loadmodule php5_module &quot;e:/php/php5apache2.dll&quot; addtype application/x-httpd-php .php 我在e:apache2目录下建立了一个www的目录用于存放我的站点文件,在http.conf里改了这样一句话: 把documentroot &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWKdZeM.html" rel="bookmark">RSync实现文件同步备份配置详解&lowbar;服务器其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.什么是rsync rsync,remote synchronize顾名思意就知道它是一款实现远程同步功能的软件,它在同步文件的同时,可以保持原来文件的权限.时间.软硬链接等附加信息. rsync是用 &quot;rsync 算法&quot;提供了一个客户机和远程文件服务器的文件同步的快速方法,而且可以通过ssh方式来传输文件,这样其保密性也非常好,另外它还是免费的软件. rsync 包括如下的一些特性: 能更新整个目录和树和文件系统: 有选择性的保持符号链链.硬链接.文件属于.权限.设备以及时间等:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGwxwnz.html" rel="bookmark">Linux服务器下nginx的安全配置详解&lowbar;nginx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx是一个轻量级,高性能的Web服务器/反向代理和电子邮件 代理(IMAP/POP3),它可以运行在UNIX,GNU/Linux,BSD变种,MAC OS X,Solaris和Microsoft Windows上.根据Netcraft的调查数据显示,互联网上6%的域名都使用了Nginx Web服务器.Nginx是解决C10K问题的服务器之一,与传统服务器不一样,Nginx不依赖于线程处理请求,相反,它使用了一个更具扩展性的事件驱 动(异步)架构.Nginx在很多高流量网站上得到了应用,如W			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0nenz.html" rel="bookmark" class="title">文件上传</a>
					<div>
						protected void cmdUpload_Click(object sender, EventArgs e) { // 检查文件是否提交: if (Uploader.PostedFile.Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM69ZLb.html" rel="bookmark" class="title">百度WEB前端JavaScript编程题和HTML&sol;CSS面试题</a>
					<div>
						文章简介:笔试题,百度流程信息管理部Web前端实习研发工程师. 笔试题,百度流程信息管理部Web前端实习研发工程师. JavaScript编程题1.实现输出document对象中所有成员的名称和类型: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElQOLz.html" rel="bookmark" class="title">Ruby on rails开发从头来（windows）（四）-第一个添删查改例子</a>
					<div>
						在上一篇Ruby on rails开发从头来(windows)(三)-实现页面间的跳转中,我们创建了两个页面来进行跳转迁移,这次我们来写一个单表维护的添删查改的例子. 1.这次我们重新创建一个项目de ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyG2ab.html" rel="bookmark" class="title">PS鼠绘梦幻森林漫步的魔法师</a>
					<div>
						教程作者不仅分享了如何绘制一幅唯美的人物插画,而且还非常详细的介绍了自己如何创作及完成作品的思路.这些都是非常难得的,因为原创的过程中,难免会有一些缺陷,如画面中背景太空洞等,这些都需要随时做一些调整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGmqap.html" rel="bookmark" class="title">win7怎么删除无效驱动器盘符</a>
					<div>
						电脑中因为安装虚拟光驱,会产生好几个无效的驱动器盘符,即右键单击这些盘符,并无法弹出光驱, 右键菜单里也找不到删除选项.win7怎么删除无效驱动器盘符?具体的操作方法如下,感兴趣的朋友可以参考下. 方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWZyop.html" rel="bookmark" class="title">如何让Windows 8系统开机直接进入桌面</a>
					<div>
						  1.要想让Win8开机直接进入桌面模式,需要修改注册表来实现.首先按键盘的上Windows键+R,打开&quot;运行&quot;对话框,输入Regedit并按回车打开注册表编辑器. 2.在左侧依 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EnagM.html" rel="bookmark" class="title">百度音乐盒打不开怎么办？</a>
					<div>
						  法一.你的电脑里面安装了电脑管家的话就打开,然后在电脑管家里面找到电脑诊所,在这里有上网异常可以来修复这个问题,点击之后浏览器会自动关闭,修复后重新打开即可. 法二.如果还不行我们打开自己的电脑管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP84dvp.html" rel="bookmark" class="title">Windows xp&sol;7中系统安装服务卸载服务以及删除服务的方法</a>
					<div>
						第一步.Windows下安装到系统服务中: 在doc中:执行此软件 memcached.exe -d install (如果提示错误,要找到cmd.exe用管理员身份打开) 第二步.卸载的方法: 在d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYWY2M.html" rel="bookmark" class="title">Android腾讯微博之1&period;0 Oauth认证</a>
					<div>
						(1)什么是Oauth? Oauth是一个开放的认证协议,让你可以在Web或桌面程序中使用简单而标准的,安全的API认证. 同时,任何第三方都可以使用Oauth认证服务,任何服务提供商都可以实现自身的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1RvPb.html" rel="bookmark" class="title">c&num;&plus;wpf实现WrapPanel布局容器内的控件多选</a>
					<div>
						问题描述 c#+wpf实现WrapPanel布局容器内的控件多选 90C windows系统的用户界面有文件多选功能 我想在WrapPanel布局容器内的控件实现多选功能.(Ctrl+a全选,shif ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlaj3b.html" rel="bookmark" class="title">使用 IIS 5&period;0 调整 Web服务器的艺术与科学&lpar;附录1&rpar;</a>
					<div>
						附录 1:性能设置 您可以调整 IIS Metabase 内容及注册表设置来调整 Web 服务器的性能.如果打算改变注册表,则除非没有其它方法可用,否则请勿使用注册表编辑器.注册表编辑器会忽略系统管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYja5ep.html" rel="bookmark" class="title">多线程-多核cpu有多少个运算器，控制器和缓存</a>
					<div>
						问题描述 多核cpu有多少个运算器,控制器和缓存 平时说的CPU都由运算器+控制器+缓存组成,那多核CPU是如何处理多线程的问题的呢 ?多核中的核,每个核都由自己的运算器和控制器以及缓存,但是共用总线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nxonz.html" rel="bookmark" class="title">Oracle  RAC &lpar;或OPS&rpar;实现自动并行处理、负载均衡</a>
					<div>
						RAC(Real Application Cluster)&quot;实时应用集群&quot;,以前称作OPS(Oracle Parallel Server)&quot;甲骨文并行服务器&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrNo1M.html" rel="bookmark" class="title">RSYSLOG 参数配置错误导致磁盘爆满</a>
					<div>
						问题:    在将应用程序日志通过rsyslog服务推送到远程日志服务器上时,在几小时之后发现磁盘大量消耗,并发现/var/log/messages 文件超过10G.会什么会这样呢? 配置如下: 注意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7NX0z.html" rel="bookmark" class="title">Java 基本数据类型</a>
					<div>
						  基本数据类型 所占用空间大小 byte b; 1字节 short s; 2字节 int i; 4字节 long l; 8字节 char c; 2字节(C语言中是1字节) float f; 4字节  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3LZlz.html" rel="bookmark" class="title">IE11 统治浏览器市场 Chrome 终超 Firefox</a>
					<div>
						今年三月份是微软IE11在Windows 8.1上发布的第5个月份,同时还见证了Firefox 28以及Chrome 33的发布.由Net Applications发布的最新报告显示微软的IE浏览器仍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0mLnM.html" rel="bookmark" class="title">请问MDI子窗体如何传值给主窗体</a>
					<div>
						问题描述 目前在MDI主窗体Form1内设置了get和set属性访问器子窗体FrmLogin是通过菜单控件show出来的FrmLoginfrm=newFrmLogin():frm.MdiParent= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmEVWb.html" rel="bookmark" class="title">android 依赖了其他工程库，终于没有了错误，但是编译的时候不能运行</a>
					<div>
						问题描述 android 依赖了其他工程库,终于没有了错误,但是编译的时候不能运行 控制台显示[2015-08-25 14:46:27 - NaviLib] Could not find NaviLi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3reV0z.html" rel="bookmark" class="title">一个字符串题</a>
					<div>
						问题描述 写一个程序把字符串按这种方式处理:&quot;abcdef&quot;转为&quot;efcdab&quot;.要求不能用字符串函数,要用伪码写 解决方案 解决方案二:如果说不能用字符串函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rGyKp.html" rel="bookmark" class="title">笙淋：网络推广团队中的组织架构分析</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 最近利用一点时间,把我们网络推广团 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6031yz.html" rel="bookmark" class="title">HDOJ 2100</a>
					<div>
						点击打开链接 题目给出的26进制数要我们相加,先转化为10进制相加后在转化为26进制,其实和直接用26进制直接相加一样,所以我们直接相加即可 注意如果全是A则输出A,例如AAAAAAA         ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwGWZM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;东华春秋杯&rdquo;上海大学生网络安全技能大赛决赛收官 聚焦高校人才培养</a>
					<div>
						11月21日, 由上海市教育委员会.上海计算机开放系统协会指导,东华大学主办,北京永信至诚科技有限公司协办,阅文集团.上海盛大网络发展有限公司.上海勋立信息科技有限公司.上海犇众信息技术有限公司支持的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkwdlM.html" rel="bookmark" class="title">近两年贵州大数据产业发展大事记</a>
					<div>
						2015年 ●1月6日,贵阳市委.市政府下发&lt;关于加快大数据产业人才队伍建设的实施意见&gt;. ●2月12日,工信部批准创建贵阳·贵安大数据产业发展集聚区,首个国家级大数据发展集聚区正式&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8AJZb.html" rel="bookmark" class="title">北京电信联手车商推广3G应用</a>
					<div>
						9月21日消息,配备了电信天翼3G无线高速上网功能的多款高端汽车即日起正式在北京面市.北京电信联合英特尔.合正汽车电子.联拓集团等上下游企业,在业界首度将3G服务延伸至汽车消费领域. 据了解,配备了天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE03Op.html" rel="bookmark" class="title">插件下载┊垃圾引用防御补丁（每小时自动换KEY，支持静态页面）&lowbar;应用技巧</a>
					<div>
						发 布 人: 向导    补 丁 名: 垃圾引用防御补丁    发布时间: 2007-1-4    版 本 号: 第3版    适用版本: PJblog 2.6    原 作 者: 向导    演示地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl2q8p.html" rel="bookmark" class="title">JS鼠标拖拽实例分析&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS鼠标拖拽实现方法.分享给大家供大家参考,具体如下: JS代码: &lt;script&gt; window.onload=function() { var oDiv=document ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKwBnz.html" rel="bookmark" class="title">ListBox性能问题</a>
					<div>
						问题描述 我想做一个词典小程序,想用ListBox做为单词索引容器,但单词索引有一万多条,用了多线程后,显示没有迟缓,但是要等ListBox把所有的单词加载完,大概要40s左右,太慢了,谁能给小弟提个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdqqnp.html" rel="bookmark" class="title">你要买苹果四代还是四袋苹果？</a>
					<div>
						孙进 &quot;世界上最远的距离,是我们俩一起出门,你去买苹果四代,我去买四袋苹果.&quot;这个签名档成为年度最热之一.iPhone 4在5000元以上的售价,的确是一次昂贵的消费. 但如果你不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Dd83b.html" rel="bookmark" class="title">myeclipse的server视图经常报nullpoint</a>
					<div>
						删除文件位置 workspace.metadata.pluginsorg.eclipse.core.runtime.settings下的com.genuitec.eclipse.ast.deploy. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YPmwp.html" rel="bookmark" class="title">在as中监听自定义事件并处理事件的实例代码&lowbar;Flex</a>
					<div>
						场景描述:点击一张图片,响应事件.必须在AS中,去监听事件,并处理事件. 1 自定义了一个事件,如下: 复制代码 代码如下: package bridge { import flash.events. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
